FROM golang:1-alpine as gobuild

RUN apk add --no-cache git

WORKDIR /go/src/srs.epita.fr/fic-server/

RUN apk add --no-cache build-base

COPY go.mod go.sum ./
COPY settings settings/
COPY libfic ./libfic/
COPY admin ./admin/

RUN go get -d -v ./admin && \
    go build -v -o get-remote-files ./admin/get-remote-files


FROM alpine:3.20

RUN apk add --no-cache \
        ca-certificates

WORKDIR /srv

ENTRYPOINT ["/srv/get-remote-files", "/mnt/fic/"]

COPY --from=gobuild /go/src/srs.epita.fr/fic-server/get-remote-files /srv/get-remote-files
